/* This file is part of Shapes.
 *
 * Shapes is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * Shapes is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Shapes.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright 2008, 2010, 2014 Henrik Tidefelt
 */


/*********************************************************
 *      Basic text
 */

p
{
  /* This tag should not appear in HTML, so we make it ugly and easy to detect!
   * The correct tag to use is div.p .
   */
  color:          #F60;
  font-size:      2em;
  font-family:    "Times New Roman", serif;
}

div.p, table.wide, table.loose, table.tight, table.operator-table, table.syntax, table.tokens, span.eq span.text
{
  font-family: "Verdana", sans-serif;
  font-style:  normal;
  font-size:   10pt; /* Make sure not to use a relative value here! */
}

body
{
  font-size:      10pt;
}

pre, span.terminal, span.inline, span.varname, span.unit, span.lexerregexp, span.syntaxname, span.typename, span.bnf, span.program-param
{
  font-family:    courier;
  font-size:      90%;
}

span.weak
{
  opacity: 0.4;
}

span.broken-link
{
  background-color: #FF9900;
}


/*********************************************************
 *      Headings
 */

h1, h1.sub, h2, h3, h4, h5, h6
{
  color:           #006633;
  font-family:     "Lucida Grande", sans-serif;
  font-weight:     bold;
  margin-top:      0.8em;
  margin-bottom:   0.2em;
}

h1, h1.sub
{
  font-size:      3em;
  line-height:    normal;
  margin-top:     0;
  margin-bottom:  0.5em;
  text-align:     center;
}

h1.sub
{
  font-size:      2em;
}

h2
{
  font-family:    "Zapfino", sans-serif;
  font-size:      2em;
  line-height:    normal;
  margin-top:     0;
}

h3
{
  text-decoration:  underline;
  font-size:        1.6em;
  line-height:      normal;
  margin-top:       1.2em;
}

h4
{
  margin-top:          1.2em;
}

h4, th.big
{
  font-size:           1.3em;
}

h5
{
  font-size:           1em;
  font-weight:          bold;
}

h6
{
  font-size:           1em;
}

table.figure
{
  margin-left:  auto;
  margin-right: auto;
}


/*********************************************************
 *      Images
 */

img
{
  /* border style for all images */
  border:         0;
}

img.b
{
  /* replacement for <br /> after images */
  display:        block; /* forces line break for content after */
}

img.t
{
  /* top margin control */
  margin-top:     0.8em;
}

img.g53
{
  /* scalable em 53 */
  width:          3.3em;
  height:         3.3em;
}

img.g32
{
  /* scalable em 32 */
  width:          2em;
  height:         2em;
}

img.g45
{
  /* scalable em 45 */
  width:          12em;
  height:         15em;
}

img.screenshot
{
  border-width:   medium;
  border-color:   #666666;
  border-style:   ridge;
}


/*********************************************************
 *      Vertical spacing of block elements
 */

div.p
{
  margin-top:     0.3em;
  margin-bottom:  0.7em;
  font-family:    "Times New Roman", serif;
}

div.p ol
{
  margin-top:     0.1em;
  margin-bottom:  0.1em;
}

div.p ol li
{
  margin-top:     0em;
  margin-bottom:  0.3em;
}

div.p ol li p
{
  margin-top:     0.3em;
  margin-bottom:  0em;
}

div.p pre
{
  margin-top:     0.5em;
  margin-bottom:  0.5em;
}

div.p table.syntax, div.p table.tight, div.p table.loose, div.p table.type-templates, div.p table.dynvars, div.p table.function, table.mutator, div.p table.simple, div.p table.hotvalue, div.p table.state, div.p table.state-type, div.p table.type
{
  margin-top:     0.1em;
  margin-bottom:  0.1em;
}

div.version-header
{
  margin-top:     0.0em;
  margin-bottom:  0.0em;
  text-align:     right;
  max-height:     0px;
  font-family:    "Helvetica", sans-serif;
  font-size:      small;
}

pre
{
  white-space: pre-wrap;
}

pre, table.syntax, table.tokens, table.tight, table.loose, table.wide, table.type-templates, table.dynvars, table.function, table.mutator, table.simple, table.hotvalue, table.state, table.state-type, table.type
{
  margin-left: 1.5em;
}

div.upper-right-banner {
  position:fixed;
  right:0em;
  top:2em;
  width:300px;
  border-top-left-radius:1em;
  border-bottom-left-radius:1em;
  background: rgba(0,0,0,0.8);
}
div.banner-content {
  width:100%;
  margin-top:0.7em;
  margin-bottom:0.7em;
  text-align:center;
  font-weight: bold;
  font-family: "Helvetica", sans-serif;
  font-size: large;
  color:rgb(254,219,11);
}
div.version-header {
  margin-top:     0.0em;
  margin-bottom:  0.0em;
  text-align:     right;
  max-height:     0px;
  font-family: "Helvetica", sans-serif;
  font-size: small;
}


/*********************************************************
 *      Horizontal spacing of elements
 */

span.horizontal-item
{
  margin-left:  0.2em;
  margin-right: 0.2em;
}


/*********************************************************
 *      Special textual content
 */

pre.terminal   { /* width: 80; */ }
pre.bad        { color: #900; text-decoration: line-through; }
span.inline    { color: #009; }
span.varname   { }
span.unit      { text-decoration: overline; }
span.typename  { font-style: italic; font-weight: bold; }
span.typestx   { font-weight: bold; }
span.lexerregexp{ color: F00; font-weight: bold; }
span.filename  { font-family: sans-serif; font-style: italic; font-size: 90%; }

span.syntaxname, span.syntaxname-new { font-style: italic; color: #F0F; text-decoration: none; }
span.syntaxname-new { text-decoration: none; }
span.bnf       { font-size: 140%; color: #00F; }

span.exampleswitch { font-size: bigger; color: #9900FF; text-decoration: underline; cursor:pointer }

td.here-caption div.p { margin-left: 10%; margin-right: 10%; font-size: smaller; font-style: italic; }
div.todo     { margin-left: 0.5em; font-size: bigger; font-style: italic; color: F00; }
td.here-caption div.p em div.todo em { font-style: normal; }

span.tolparam
{
  font-family: Helvetica;
  font-style: italic;
  font-size: 0.9em;
  color: orange;
}


/*********************************************************
 *      Tables, tables, tables
 */

table.syntax { border-spacing: 5px 2px; }
table.tokens { border-spacing: 15px 5px; }
table.loose, table.wide { border-spacing: 5px 5px;; }
table.tight { border-spacing: 0px 0px; }
hr.thick { border:0; height:3px; color:#000; background:#000; }
hr.thin { border:0; height:1px; color:#666; background:#000; }

table.dynvars, table.function, table.mutator, table.simple, table.hotvalue, table.state, table.state-type, table.type
{
  text-align:       left;
  border-collapse:  collapse;
  border-spacing:   0px 0px;
  width:            95%;
}

table.mutator
{
  width: 98%;
}

table.dynvars tr th, table.function tr th, table.mutator tr th, table.simple tr th, table.hotvalue tr th, table.state tr th, table.state-type tr th, table.type tr th
{
  padding: 0em 2em 0em 2em;
  text-align: left;
  border-bottom: 2px solid #6699CC;
  border-left: 1px solid #6699CC;
  background-color: #BEC8D1;
  color: #404040;
}

table.mutator tr th
{
  background-color: #EEEE00;
}

table.dynvars tr td, table.function tr td, table.mutator tr td, table.simple tr td, table.hotvalue tr td, table.state tr td, table.state-type tr td, table.type tr td
{
  padding: 0em 0.5em 0em 0.5em;
  vertical-align: top;
}

table.dynvars
{
  color:  #404040;
  border: 1px #6699CC solid;
}

table.dynvars, table.dynvars tr th.horiz
{
  background-color: #fafafa;
}

table.dynvars tr td, table.dynvars tr th
{
  border-bottom: 2px solid #6699CC;
  border-left: 1px solid #6699CC;
}

table.function
{
  color: #404040;
  border: 1px #CC6633 solid;
}

table.function, table.function tr th.horiz
{
  background-color: #fafafa;
}

table.function tr td, table.function tr th
{
  border-bottom: 2px solid #CC6633;
  border-left: 1px solid #CC6633;
}

table.function tr th.heading
{
  font-size: bigger;
  background-color: #FFCC99;
}

table.mutator
{
  color: #404040;
  border: 1px #DDDD99 solid;
}

table.mutator, table.mutator tr th.horiz
{
  background-color: #fafafa;
}

table.mutator tr td, table.mutator tr th
{
  border-bottom: 2px solid #DDDD99;
  border-left: 1px solid #DDDD99;
}

table.mutator tr th.heading
{
  font-size: bigger;
  background-color: #DDDD99;
}

table.simple
{
  color: #404040;
  border: 1px #333333 solid;
}
table.simple, table.simple tr th.horiz
{
  background-color: #fafafa;
}
table.simple tr td, table.simple tr th
{
  border-bottom: 2px solid #333333;
  border-left: 1px solid #333333;
}

table.hotvalue
{
  color: #404040;
  border: 1px #FF3300 solid;
}

table.hotvalue, table.hotvalue tr th.horiz
{
  background-color: #fafafa;
}

table.hotvalue tr td, table.hotvalue tr th
{
  border-bottom: 2px solid #FF3300;
  border-left: 1px solid #FF3300;
}

table.hotvalue tr th.note
{
  font-size: bigger;
  background-color: #FFFF33;
}

table.state
{
  color: #404040;
  border: 1px #3366FF solid;
}

table.state, table.state tr th.horiz
{
  background-color: #fafafa;
}

table.state tr td, table.state tr th
{
  border-bottom: 2px solid #3366FF;
  border-left: 1px solid #3366FF;
}

table.state-type
{
  color: #404040;
  border: 1px #669933 solid;
}

table.state-type, table.state-type tr th.horiz
{
  background-color: #fafafa;
}

table.state-type tr td, table.state-type tr th
{
  border-bottom: 2px solid #669933;
  border-left: 1px solid #669933;
}

table.type
{
  color: #404040;
  border: 1px #FF6699 solid;
}

table.type, table.type tr th.horiz
{
  background-color: #fafafa;
}

table.type tr td, table.type tr th
{
  border-bottom: 2px solid #FF6699;
  border-left: 1px solid #FF6699;
}

table.type tr th.heading
{
  padding-top: 0.3em
  font-size: bigger;
  background-color: #F0F0F9;
  border-bottom: 1px solid #FF6699;
}

table.dynvars tr th.horiz, table.function tr th.horiz, table.mutator tr th.horiz, table.simple tr th.horiz, table.hotvalue tr th.horiz, table.state tr th.horiz, table.state-type tr th.horiz, table.type tr th.horiz
{
  width: 10em;
  text-align: right;
}

table.note
{
  width:100%;
  border-top: 1px solid;
  border-bottom: 1px solid;
  border-left: none;
  border-right: none;
  border-color:#0C0;
  background-color: #CCFFCC;
  margin: 5px
}

table.operator-table { width:100%; }
table.constructor-table { background:#FFFFCC; }
table.codefile
{
  width:100%;
  border-top: 3px solid #000;
  border-bottom: 3px solid #000;
  border-left: 2px solid #000;
  border-right: 2px solid #000;
}

table.loose tr th, table.loose tr td, table.wide tr th, table.wide tr td, table.tight tr th, table.tight tr td, table.operator-table tr th, table.operator-table tr td, table.type-templates tr th, table.type-templates tr td, table.codefile tr th, table.codefile tr td, table.note tr td
{
  padding: 0em 0.5em 0em 0.5em;
  border-bottom: none;
  border-left: none;
  color: #000;
}

table.loose tr th, table.loose tr td, table.wide tr th, table.wide tr td, table.tight tr th, table.tight tr td, table.operator-table tr th, table.operator-table tr td, table.type-templates tr th, table.type-templates tr td, table.codefile tr th, table.codefile tr td
{
  background-color: #fafafa;
}

table.loose tr th.title, table.loose tr td.title, table.wide tr th.title, table.wide tr td.title, table.tight tr th.title, table.tight tr td.title
{
  background-color: #c0c0c0;
  color: #FFF;
}

table.loose tr th, table.wide tr th, table.tight tr th, table.operator-table tr th, table.type-templates tr th, table.codefile tr th
{
  padding: 0em 2em 0em 2em;
  text-align: center;
}

table.wide
{
  width: 95%;
}
table.wide tr td.type-field-type
{
		white-space:nowrap;
}


/*********************************************************
 *      Generic classes
 */

.replacable
{
  color: #CC6600;
}

.template
{
  color: #0000FF;
}

.small-caps
{
  font-variant: small-caps;
}

.medium-caps
{
  font-size: smaller;
  text-transform: uppercase;
}

.medium-caps sup, .small-caps sup {
  vertical-align: 0.4em;
}

.xx-small
{
  font-size: xx-small;
}

.nowrap
{
  white-space: nowrap;
}


/*********************************************************
 *      Links
 */

a:link.discrete
{
  text-decoration: none;
  color: black;
}

a:visited.discrete
{
  text-decoration: none;
  color: black;
}

a:hover.discrete
{
  text-decoration: none;
  color: black;
  background-color: #CCCCCC;
}


/*********************************************************
 *      Mathematical formulas.
 */

span.eq
{
  font-style: italic;
  font-family:  "Times New Roman", serif;
  font-size: 0.95em;
  font-weight: normal;
  color:  #000;
}

span.eq span.rm
{
  font-style: normal;
  font-famil: "Arial", sans-serif;
}

span.eq sub
{
  vertical-align: -0.5ex;
  font-size: 0.7em;
}

span.eq sup
{
  vertical-align: 0.5ex;
  font-size: 0.7em;
}


/*********************************************************
 *      Special styling for TeX and related names.
 */

.tex sub, .latex sub, .latex sup
{
  text-transform: uppercase;
}

.tex sub, .latex sub
{
  vertical-align: -0.5ex;
  margin-left: -0.1667em;
  margin-right: -0.125em;
}

.tex, .latex, .tex sub, .latex sub
{
  font-size: 1em;
}

.latex sup
{
  font-size: 0.85em;
  vertical-align: 0.15em;
  margin-left: -0.36em;
  margin-right: -0.15em;
}


/*********************************************************
 *      Special styling for Google.
 */

span.Google { font-family: "Times New Roman",serif; }
span.Google .blue { color:#003EC5; }
span.Google .red { color:#D8240C; }
span.Google .yellow { color:#F4C513; }
span.Google .green { color:#2C9F2C; }
span.Google .black { color:#000; }
